#include <Machine/IBeltMachine.hpp>

void IBeltMachine::onItemStackEntering(Side side, ItemStack &stack)
{
    // NOP
}

ItemStack IBeltMachine::tryExtractItem(Side side, ItemFilter &filter, uint32_t modeCode)
{
    return ItemStack();
}

bool IBeltMachine::canConnectExtractor(Side side)
{
    return false;
}

void IBeltMachine::getBeltsBranchingFrom(Side side, std::vector<std::shared_ptr<Belt>> &belts)
{
    // NOP
}

void IBeltMachine::getExtractionModes(Side side, std::vector<ExtractionModeSpec> &specs)
{
    specs.push_back({0, "Any slot"});
}